#include <p18f452.h>

#define	SW3	PORTAbits.RA4
#define SW2	PORTBbits.RB0

unsigned char i;
unsigned char debounce;

//***************************************
//*             Program Main ( )		*
//***************************************
void main(void)
{

	TRISD=0x00;				// Set PortD for Output
	PORTD=0x80;				// Initila LED display = 0x80

	ADCON1=0b00000110;		// Disable A/D Function
	TRISAbits.TRISA4=1;		// Set SW2 for input
	TRISBbits.TRISB0=1;		// Set SW3 for Input
	debounce=0;

	while(1)
	{
		if (debounce==0)
			{
				if (!SW2) 
					{
					PORTD++;
					debounce=30;
					}
				if (!SW3) 
					{
					PORTD--;
					debounce=30;
					}
			}
		else
			{
				if (SW2 & SW3) 
					{
					debounce--;
					for (i=0;i<50;i++);
					}
				else 
					debounce=30;	
			}		 
	}
	
}


